#
# spec file for package ruby (Version 1.6.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ruby
Version:      1.6.4
Release:      28
Copyright:	GPL, LGPL and Artistic, Yukihiro Matsumoto <matz@netlab.co.jp>
Group:		Development/Languages
Summary:      Interpreted object-oriented scripting language
Source:		ruby-%{version}.tar.bz2
Source1:       	ruby-man-1.4.6.tar.bz2
Patch:         	ruby-%{version}.dif
BuildRoot:      /tmp/ruby-root

%description
Ruby is the interpreted scripting language for quick and
easy object-oriented programming.  It has many features to
process text files and to do system management tasks (as in
Perl).  It is simple, straight-forward, and extensible.
* Features of Ruby
+ Simple Syntax
+ *Normal* Object-Oriented features(ex. class, method calls)
+ *Advanced* Object-Oriented features(ex. Mix-in, Singleton-method)
+ Operator Overloading
+ Exception Handling
+ Iterators and Closures
+ Garbage Collection
+ Dynamic Loading of Object files(on some architecture)
+ Highly Portable(works on many UNIX machines, and on DOS,
Windows, Mac, BeOS etc.)

Authors:
--------
    Yukihiro Matsumoto <matz@netlab.co.jp>

SuSE series: d

%prep
%setup -c -T -a 0 -a 1
cd ruby-%{version}
%patch

%build
cd ruby-%{version}
%{?suse_update_config:%{suse_update_config -f}}
%ifarch ia64
CFLAGS="$RPM_OPT_FLAGS -O0" \
%endif
./configure --prefix=/usr --mandir=%{_mandir} --enable-shared --enable-static
make

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
cd ruby-%{version}
make DESTDIR=$RPM_BUILD_ROOT install
# gzip $RPM_BUILD_ROOT/%{_mandir}/man1/ruby.1
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/sample
install -m 644 sample/* $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/sample
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/misc
install -m 644 misc/* $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/misc
install -d $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install -m 644 misc/*.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
cd ../ruby-man-1.4
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
install -m 644 *.html $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/

%files
/usr/bin/irb
/usr/bin/ruby
/usr/lib/ruby
/usr/lib/libruby*
/usr/share/emacs/site-lisp/*
%doc %{_mandir}/man1/ruby.1.gz
%doc %{_defaultdocdir}/%{name}/

%changelog -n ruby
* Tue Aug 21 2001 - mge@suse.de
- update to 1.6.4
* Sun May 20 2001 - mge@suse.de
- changes _only_ to spec-file:
- make ruby shared libs built
- cleanup ruby directory structure (drop /usr/share/lib/ruby/)
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 22 2001 - mge@suse.de
- update to 1.6.3, merge of rread's SPEC patches
* Mon Mar 19 2001 - schwab@suse.de
- Don't use __builtin_frame_address(2) on ia64.
- Compile with -O0 on ia64 to work around compiler bug.
* Mon Mar 05 2001 - rread@mountainviewdata.com
- introduced build-root
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Jan 12 2001 - mge@suse.de
- update to 1.6.2
* Wed Dec 13 2000 - schwab@suse.de
- Add %%suse_update_config.
- Fix computation of stack limit.
* Mon Dec 04 2000 - mge@suse.de
- update to 1.6.1, manual 1.4.6
* Thu Jul 06 2000 - mge@suse.de
- initial SuSE RPM
